spandsp 0.0.6

plc_state_t Struct Reference

`#include <plc.h>`

## Public Attributes
int | missing_samples
int | pitch_offset
int | pitch
float | pitchbuf [120]
int16_t | history [(160+120)]
int | buf_ptr

## Detailed Description

The generic packet loss concealer context.

## Member Data Documentation

## ◆ buf_ptr

int plc_state_t::buf_ptr

Current pointer into the history buffer

## ◆ history

int16_t plc_state_t::history[(160+120)]

History buffer

Referenced by plc_fillin().

## ◆ missing_samples

int plc_state_t::missing_samples

Consecutive erased samples

Referenced by plc_fillin(), and plc_rx().

## ◆ pitch

int plc_state_t::pitch

Pitch estimate

Referenced by plc_fillin(), and plc_rx().

## ◆ pitch_offset

int plc_state_t::pitch_offset

Current offset into pitch period

Referenced by plc_fillin(), and plc_rx().

## ◆ pitchbuf

float plc_state_t::pitchbuf[120]

Buffer for a cycle of speech

Referenced by plc_fillin(), and plc_rx().

The documentation for this struct was generated from the following file:

- plc.h